org.apache.uima.impl

## Class CustomResourceFactory_impl

- java.lang.Object
- - org.apache.uima.impl.CustomResourceFactory_impl

- All Implemented Interfaces:
    ResourceFactory

      public class CustomResourceFactory_impl
      extends Object
      implements ResourceFactory

  Resource Factory that handles `CustomResourceSpecifier` elements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomResourceFactory_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Resource` | `produceResource(Class<? extends Resource> aResourceClass, ResourceSpecifier aSpecifier, Map<String,Object> aAdditionalParams)` Produces an appropriate `Resource` instance from a `ResourceSpecifier`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomResourceFactory_impl

          public CustomResourceFactory_impl()

  - ### Method Detail

    - #### produceResource

          public Resource produceResource(Class<? extends Resource> aResourceClass,
                                          ResourceSpecifier aSpecifier,
                                          Map<String,Object> aAdditionalParams)
                                   throws ResourceInitializationException

      Description copied from interface: `ResourceFactory`
      Produces an appropriate `Resource` instance from a `ResourceSpecifier`. This version of `produceResource` takes a Map containing additional parameters to be passed to the `Resource.initialize(ResourceSpecifier,Map)` method.
      Specified by:
        `produceResource` in interface `ResourceFactory`
      Parameters:
        `aResourceClass` - the class of resource to be produced (NOTE: this is intended to be a standard UIMA interface name such as "TextAnalysisEngine" or "ASB")
        `aSpecifier` - an object that specifies how to acquire an instance of a `Resource`.
        `aAdditionalParams` - a Map containing additional parameters to pass to the `Resource.initialize(ResourceSpecifier,Map)` method. May be `null` if there are no parameters.
      Returns:
        a `Resource` instance. Returns `null` if this factory does not know how to create a Resource from the `ResourceSpecifier` provided.
      Throws:
        `ResourceInitializationException` - if a failure occurred during production of the resource
      See Also:
        `ResourceFactory.produceResource(java.lang.Class, org.apache.uima.resource.ResourceSpecifier, java.util.Map)`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.